#include <bits/stdc++.h>
using namespace std;

int main()
{
    ifstream f1("TSNT.INP");
    ofstream f2("TSNT.OUT");
     long long n;
     f1>>n;
      cout<<n<<"=";
     long long i=2,j=0,s=0,a[10000];
      while(n>1)
      {
           if(n%i==0){a[j]=i;
           n=n/i;
           s+=i;
           j++;
           }
           else i++;
      }

      for(i=0;i<j;i++)
      {

          if(i<j-1){f2<<a[i]<<"*";}
      }
      f2<<a[j-1];
      f2<<endl<<s;
      f1.close();
      f2.close();
}
